################################################################################
#
#'
#' Determining Vitamin and Mineral Status of Populations
#'
#' Vitamin and mineral deficiencies continue to be a significant public health
#' problem. This is particularly critical in developing countries where
#' deficiencies to Vitamin A, iron, iodine, and other micronutrients lead to
#' adverse health consequences. Cross-sectional surveys are helpful in answering
#' questions related to the magnitude and distribution of deficiencies of
#' selected vitamins and minerals. This package provides tools for
#' calculating and determining select vitamin and mineral deficiencies based on
#' World Health Organization (WHO) guidelines found at
#' <https://www.who.int/teams/nutrition-and-food-safety/databases/vitamin-and-mineral-nutrition-information-system>.
#'
#' @docType package
#' @keywords internal
#' @name micronutr
#'
#
################################################################################
"_PACKAGE"

